Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
ezpTopologicalSortNode Class Reference

## Public Member Functions
| __construct ( $name)
| registerChild (ezpTopologicalSortNode $childNode)
| registerParent (ezpTopologicalSortNode $parentNode)
| unregisterParent (ezpTopologicalSortNode $parentNode)
| parentCount ()
| popChild ()

## Public Attributes
| $name

## Protected Attributes
| $children
| $parents

## Detailed Description

Node in a topological sort.

See also
  ezpTopologicalSort

Definition at line 17 of file ezptopologicalsortnode.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpTopologicalSortNode::__construct | ( |  | $name | ) |

ezpTopologicalSortNode constructor.

Parameters

  string | $name | Name used to define the node

Definition at line 29 of file ezptopologicalsortnode.php.

References $name.

## Member Function Documentation

## ◆ parentCount()

ezpTopologicalSortNode::parentCount | ( |  | ) |

Returns the number of registered parents.

Returns
  int

Definition at line 73 of file ezptopologicalsortnode.php.

## ◆ popChild()

ezpTopologicalSortNode::popChild | ( |  | ) |

Pop a child from the list of children.

Returns
  ezpTopologicalSortNode|false ezpTopologicalSortNode or false if list is empty

Definition at line 83 of file ezptopologicalsortnode.php.

## ◆ registerChild()

ezpTopologicalSortNode::registerChild | ( | ezpTopologicalSortNode | $childNode | ) |

Register a child node.

Parameters

  ezpTopologicalSortNode | $childNode | Child node to register

Definition at line 41 of file ezptopologicalsortnode.php.

## ◆ registerParent()

ezpTopologicalSortNode::registerParent | ( | ezpTopologicalSortNode | $parentNode | ) |

Register a parent node.

Parameters

  ezpTopologicalSortNode | $parentNode | Parent node to register

Definition at line 52 of file ezptopologicalsortnode.php.

## ◆ unregisterParent()

ezpTopologicalSortNode::unregisterParent | ( | ezpTopologicalSortNode | $parentNode | ) |

Unregister a parent node.

Parameters

  ezpTopologicalSortNode | $parentNode | Parent node to unregister

Definition at line 63 of file ezptopologicalsortnode.php.

## Member Data Documentation

## ◆ $children

ezpTopologicalSortNode::$children
| protected

Definition at line 21 of file ezptopologicalsortnode.php.

## ◆ $name

ezpTopologicalSortNode::$name

Definition at line 19 of file ezptopologicalsortnode.php.

Referenced by __construct().

## ◆ $parents

ezpTopologicalSortNode::$parents
| protected

Definition at line 22 of file ezptopologicalsortnode.php.

The documentation for this class was generated from the following file:

- ezptopologicalsortnode.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.